/v2/updates/hash/{hash}
Returns the update associated with the given hash of the prepared transaction.
This endpoint is not always BFT safe. For transactions committed before a scan instance started indexing hashes, the instance will return a 404 error. For transactions committed around the time different scans started indexing hashes, some scan instances might return a 404 error while others return the matching update.
This is in contrast to the v2/updates and v2/updates/{update_id} endpoints, which are guaranteed to be always BFT safe.
Path Parameters
Query Parameters
How daml values should be encoded in the response. "compact_json" is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. "protobuf_json" is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to "compact_json".
compact_json, protobuf_json Response
ok
- Option 1
- Option 2
An individual item in the update history. May be a transaction or a contract reassignment.
The id of the update.
The migration id of the synchronizer.
This transaction's Daml workflow ID; a workflow ID can be associated with multiple transactions. If empty, no workflow ID was set.
The time at which the transaction was sequenced, with microsecond resolution, using ISO-8601 representation.
The id of the synchronizer through which this transaction was sequenced.
Ledger effective time, using ISO-8601 representation. This is the time
returned by getTime for all Daml executed as part of this transaction,
both by the submitting participant and all confirming participants.
Roots of the transaction tree. These are guaranteed to occur as keys
of the events_by_id object.
Changes to the ledger that were caused by this transaction, keyed by ID and sorted lexicographically by ID for display consistency.
Values are nodes of the transaction tree.
Within a transaction, IDs may be referenced by root_event_ids or
child_event_ids in ExercisedEvent herein, which are sorted in the order as they occurred in the transaction.
For an externally signed transaction, contains the external transaction hash signed by the external party. Can be used to correlate an external submission with a committed transaction.